> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tryfinch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pay Statement Item

> Retrieve a list of detailed pay statement items for the access token's connection account.




## OpenAPI

````yaml get /employer/pay-statement-item
openapi: 3.1.0
info:
  title: API Reference
  version: '2020-09-17'
  contact: {}
  description: >-
    The Finch HRIS API provides a unified way to connect to a multitide of HRIS
    systems. The API requires an access token issued by Finch.


    By default, Organization and Payroll requests use Finch's [Data
    Syncs](/developer-resources/Data-Syncs). If a request is made before the
    initial sync has completed, Finch will request data live from the provider.
    The latency on live requests may range from seconds to minutes depending on
    the provider and batch size.

    For automated integrations, Deductions requests (both read and write) are
    always made live to the provider. Latencies may range from seconds to
    minutes depending on the provider and batch size.



    Employer products are specified by the product parameter, a space-separated
    list of products that your application requests from an employer
    authenticating through Finch Connect. Valid product names are—

    - `company`: Read basic company data


    - `directory`: Read company directory and organization structure


    - `individual`: Read individual data, excluding income and employment data


    - `employment`: Read individual employment and income data


    - `payment`: Read payroll and contractor related payments by the company


    - `pay_statement`: Read detailed pay statements for each individual


    - `benefits`: Create and manage deductions and contributions and enrollment
    for an employer


    [![Open in
    Postman](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4?action=collection%2Ffork&collection-url=entityId%3D21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4%26entityType%3Dcollection%26workspaceId%3D1edf19bc-e0a8-41e9-ac55-481a4b50790b)
servers:
  - url: https://api.tryfinch.com
    description: ''
security: []
tags:
  - name: Organization
  - name: Payroll
  - name: Deductions
  - name: Management
  - name: Sandbox
paths:
  /employer/pay-statement-item:
    get:
      tags:
        - Payroll
      summary: Pay Statement Item
      description: >
        Retrieve a list of detailed pay statement items for the access token's
        connection account.
      operationId: get-pay-statement-item
      parameters:
        - name: entity_ids
          in: query
          required: false
          description: The entity IDs to specify which entities' data to access.
          schema:
            type: array
            items:
              type: string
              format: uuid
            minItems: 1
            maxItems: 1
            example:
              - 550e8400-e29b-41d4-a716-446655440000
          style: form
          explode: true
        - name: categories
          in: query
          required: false
          description: >-
            Comma-delimited list of pay statement item categories to filter on.
            If empty, defaults to all categories.
          schema:
            type: array
            items:
              type: string
              enum:
                - earnings
                - taxes
                - employee_deductions
                - employer_contributions
          style: form
          explode: false
        - name: name
          in: query
          required: false
          description: Case-insensitive partial match search by pay statement item name.
          schema:
            type: string
        - name: type
          in: query
          required: false
          description: String search by pay statement item type.
          schema:
            type: string
            example: base_compensation
        - name: start_date
          in: query
          required: false
          description: >-
            The start date to retrieve pay statement items by via their last
            seen pay date (inclusive) in `YYYY-MM-DD` format.
          schema:
            type: string
            format: date
            example: '2024-01-01'
        - name: end_date
          in: query
          required: false
          description: >-
            The end date to retrieve pay statement items by via their last seen
            pay date in `YYYY-MM-DD` format.
          schema:
            type: string
            format: date
            example: '2024-07-01'
        - $ref: '#/components/parameters/API-Version'
      responses:
        '200':
          description: Pay statement item data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPayStatementItemsResponse'
              examples:
                Success:
                  value:
                    responses:
                      - name: Employer_Social_Security
                        category: taxes
                        attributes:
                          employer: true
                          type: social_security
                          metadata: null
                      - name: Medical_HMO
                        category: employee_deductions
                        attributes:
                          type: null
                          metadata:
                            _PENSION_PRO_COLUMN: Pre-Tax Health/125
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Finch from '@tryfinch/finch-api';


            const client = new Finch({
              accessToken: 'My Access Token',
            });


            // Automatically fetches more pages as needed.

            for await (const payStatementItemListResponse of
            client.hris.company.payStatementItem.list()) {
              console.log(payStatementItemListResponse.attributes);
            }
        - lang: Python
          source: |-
            from finch import Finch

            client = Finch(
                access_token="My Access Token",
            )
            page = client.hris.company.pay_statement_item.list()
            page = page.responses[0]
            print(page.attributes)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/Finch-API/finch-api-go\"\n\t\"github.com/Finch-API/finch-api-go/option\"\n)\n\nfunc main() {\n\tclient := finchgo.NewClient(\n\t\toption.WithAccessToken(\"My Access Token\"),\n\t)\n\tpage, err := client.HRIS.Company.PayStatementItem.List(context.TODO(), finchgo.HRISCompanyPayStatementItemListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.tryfinch.api.example;


            import com.tryfinch.api.client.FinchClient;

            import com.tryfinch.api.client.okhttp.FinchOkHttpClient;

            import com.tryfinch.api.models.HrisCompanyPayStatementItemListPage;

            import
            com.tryfinch.api.models.HrisCompanyPayStatementItemListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    FinchClient client = FinchOkHttpClient.builder()
                        .fromEnv()
                        .accessToken("My Access Token")
                        .build();

                    HrisCompanyPayStatementItemListPage page = client.hris().company().payStatementItem().list();
                }
            }
        - lang: Kotlin
          source: |-
            package com.tryfinch.api.example

            import com.tryfinch.api.client.FinchClient
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient
            import com.tryfinch.api.models.HrisCompanyPayStatementItemListPage
            import com.tryfinch.api.models.HrisCompanyPayStatementItemListParams

            fun main() {
                val client: FinchClient = FinchOkHttpClient.builder()
                    .fromEnv()
                    .accessToken("My Access Token")
                    .build()

                val page: HrisCompanyPayStatementItemListPage = client.hris().company().payStatementItem().list()
            }
        - lang: Ruby
          source: |-
            require "finch_api"

            finch = FinchAPI::Client.new(access_token: "My Access Token")

            page = finch.hris.company.pay_statement_item.list

            puts(page)
components:
  parameters:
    API-Version:
      name: Finch-API-Version
      in: header
      required: true
      schema:
        type: string
        default: '2020-09-17'
        format: date
        pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2020-09-17.
  schemas:
    GetPayStatementItemsResponse:
      type: object
      properties:
        responses:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                description: The name of the pay statement item.
              category:
                type: string
                enum:
                  - earnings
                  - taxes
                  - employee_deductions
                  - employer_contributions
                description: The category of the pay statement item.
              attributes:
                type: object
                properties:
                  type:
                    type: string
                    nullable: true
                    description: The type of the pay statement item.
                  pre_tax:
                    type: boolean
                    nullable: true
                    description: >-
                      `true` if the pay statement item is pre-tax. This field is
                      only available for employee deductions.
                  employer:
                    type: boolean
                    nullable: true
                    description: >-
                      `true` if the amount is paid by the employers. This field
                      is only available for taxes.
                  metadata:
                    type: object
                    nullable: true
                    additionalProperties:
                      nullable: true
                    description: >-
                      The metadata of the pay statement item derived by the
                      rules engine if available. Each attribute will be a
                      key-value pair defined by a rule.
                required:
                  - metadata
                description: The attributes of the pay statement item.
            required:
              - name
              - category
              - attributes
      required:
        - responses
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your Access Token

````